package com.jy.business.contract.model.table;

import com.jy.business.contract.model.entity.ContractDetail;
import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;

public class ContractDetailTable extends Table<ContractDetail> {

    public static ContractDetailTable contract_detail = new ContractDetailTable();
    public static ContractDetailTable cd = contract_detail.as("cd");

    /**
     * 合同明细id
     */
    public QueryColumn id = this.field(ContractDetail::getId);

    /**
     * 合同id
     */
    public QueryColumn contractId = this.field(ContractDetail::getContractId);

    /**
     * 产品名称
     */
    public QueryColumn productName = this.field(ContractDetail::getProductName);

    /**
     * 产品货号
     */
    public QueryColumn productCode = this.field(ContractDetail::getProductCode);

    /**
     * 产品规格
     */
    public QueryColumn productSpec = this.field(ContractDetail::getProductSpec);

    /**
     * 颜色
     */
    public QueryColumn productColour = this.field(ContractDetail::getProductColour);

    /**
     * 单位
     */
    public QueryColumn productUnit = this.field(ContractDetail::getProductUnit);

    /**
     * 数量
     */
    public QueryColumn quantity = this.field(ContractDetail::getQuantity);

    /**
     * 单价
     */
    public QueryColumn unitPrice = this.field(ContractDetail::getUnitPrice);

    /**
     * 备注
     */
    public QueryColumn remark = this.field(ContractDetail::getRemark);

    /**
     * 创建人
     */
    public QueryColumn createUser = this.field(ContractDetail::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(ContractDetail::getCreateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(ContractDetail::getUpdateUser);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(ContractDetail::getUpdateTime);

    /**
     * 逻辑删除标记
     */
    public QueryColumn delFlag = this.field(ContractDetail::getDelFlag);

    private ContractDetailTable() {
        super(ContractDetail.class);
    }

    private ContractDetailTable(String alias) {
        super(ContractDetail.class, alias);
    }

    public ContractDetailTable as(String alias) {
        return new ContractDetailTable(alias);
    }

}
